package session

import (
	"github.com/google/uuid"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type Session struct {
	ID uuid.UUID
	*data.Briefing
	Participants []*data.Participant
	Questions    []data.Question
}

type briefingHTMLData struct {
	SessionID uuid.UUID
	Login     string
}

type participantHTMLData struct {
	SessionID uuid.UUID
	Login     string
}

type questionHTMLData struct {
	SessionID  uuid.UUID
	Login      string
	Question   data.Question
	QuestionID int64
}

type htmlAnswer struct {
	Text    string
	Correct bool
	Chosen  bool
}

type htmlQuestion struct {
	Text    string
	Answers []htmlAnswer
}

type resultHTMLData struct {
	SessionID uuid.UUID
	Login     string
	Questions []htmlQuestion
	Incorrect int
}
